aboutsummaryrefslogtreecommitdiffstats
path: root/main/readline/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-03-04 08:09:43 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-03-04 08:10:15 +0000
commit28e5b26cbc86ee71f924943ea69922c2cb322539 (patch)
tree186b66b346e25f8e8bd342cecfeb006e85f94ead /main/readline/APKBUILD
parenta2173b1aaa97f86a247dadf46ce68614b071988f (diff)
downloadaports-28e5b26cbc86ee71f924943ea69922c2cb322539.tar.gz
aports-28e5b26cbc86ee71f924943ea69922c2cb322539.tar.bz2
aports-28e5b26cbc86ee71f924943ea69922c2cb322539.tar.xz
main/readline: fix ncurses underlinking
Diffstat (limited to 'main/readline/APKBUILD')
-rw-r--r--main/readline/APKBUILD29
1 files changed, 22 insertions, 7 deletions
diff --git a/main/readline/APKBUILD b/main/readline/APKBUILD
index 58588507c3..c06bc34e27 100644
--- a/main/readline/APKBUILD
+++ b/main/readline/APKBUILD
@@ -5,7 +5,7 @@ pkgver=6.3
#_patchver=${pkgver##*.}
#_suff=${_myver%.*}${_myver#*.}
_myver=$pkgver
-pkgrel=0
+pkgrel=1
pkgdesc="GNU readline library"
url="ftp://ftp.cwru.edu/pub/bash/"
arch="all"
@@ -14,6 +14,7 @@ depends=
makedepends="ncurses-dev"
subpackages="$pkgname-dev $pkgname-doc"
source="http://ftp.gnu.org/gnu/readline/readline-${_myver}.tar.gz
+ fix-ncurses-underlinking.patch
"
# generate url's to patches. note: no forks allowed!
@@ -27,6 +28,11 @@ _builddir="$srcdir"/$pkgname-$_myver
prepare() {
cd "$_builddir"
update_config_sub || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
#for i in "$srcdir"/readline$_suff-???; do
#[ -r "$i" ] || continue
#msg "Applying ${i##*/}"
@@ -42,16 +48,25 @@ build() {
--prefix=/usr \
--mandir=/usr/share/man \
--infodir=/usr/share/info \
+ --disable-static \
+ --enable-shared \
|| return 1
-
- make SHLIB_LIBS=-lncurses || return 1
+ make || return 1
}
package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
-
+ # verfy that its not underlinked as upstream designed it
+ if ! readelf -d "$pkgdir"/usr/lib/libreadline.so | grep 'NEEDED.*ncurses'; then
+ error "readline needs to be linked against ncurses"
+ return 1
+ fi
}
-md5sums="33c8fb279e981274f485fd91da77e94a readline-6.3.tar.gz"
-sha256sums="56ba6071b9462f980c5a72ab0023893b65ba6debb4eeb475d7a563dc65cafd43 readline-6.3.tar.gz"
-sha512sums="f70efaf46d570b85c7637172b0ee2eb9a4aa73ba38a62bb45075e665929d9701b96fba0aea6c767fd9a2a0d39dfe8e70ab06da08f8524aee76a7c502f370a401 readline-6.3.tar.gz"
+
+md5sums="33c8fb279e981274f485fd91da77e94a readline-6.3.tar.gz
+cbb34dd4ade349d47ec434bb01222aeb fix-ncurses-underlinking.patch"
+sha256sums="56ba6071b9462f980c5a72ab0023893b65ba6debb4eeb475d7a563dc65cafd43 readline-6.3.tar.gz
+755dd2a6231a7e49dfde429188b3120f08cb652fbbf1863bb3db8f8181e9dd10 fix-ncurses-underlinking.patch"
+sha512sums="f70efaf46d570b85c7637172b0ee2eb9a4aa73ba38a62bb45075e665929d9701b96fba0aea6c767fd9a2a0d39dfe8e70ab06da08f8524aee76a7c502f370a401 readline-6.3.tar.gz
+2aef2e3ceb8fb08117a945fbdbb883ff8da7eaf259236cb64aebc7438dd17c73e52d0c7a5f1483432152fa8354f84468aacaede09ca0fa9e76ce6a1d82eb6f26 fix-ncurses-underlinking.patch"